DNSRecordType
Date: 2017-02-10

javax.jmdns.impl.constants

## Enum DNSRecordType

- java.lang.Object
- - java.lang.Enum<DNSRecordType>
  - - javax.jmdns.impl.constants.DNSRecordType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DNSRecordType>

      public enum DNSRecordType
      extends java.lang.Enum<DNSRecordType>

  DNS Record Type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TYPE_A` Address
    `TYPE_A6` A6 [RFC2874]
    `TYPE_AAAA` IP6 Address [Thomson]
    `TYPE_AFSDB` for AFS Data Base location [RFC1183]
    `TYPE_ANY` Request for all records [RFC1035]
    `TYPE_APL` APL [RFC3123]
    `TYPE_ATMA` ATM Address [Dobrowski]
    `TYPE_AXFR` Transfer of an entire zone [RFC1035]
    `TYPE_CERT` CERT [RFC2538]
    `TYPE_CNAME` Canonical Name
    `TYPE_DNAME` DNAME [RFC2672]
    `TYPE_DNSKEY` DNSKEY [RFC3755]
    `TYPE_DS` Delegation Signer [RFC3658]
    `TYPE_EID` Endpoint Identifier [Patton]
    `TYPE_GID` [IANA-Reserved]
    `TYPE_GPOS` Geographical Position [RFC1712]
    `TYPE_HINFO` Host information
    `TYPE_IGNORE` Address
    `TYPE_ISDN` for ISDN address [RFC1183]
    `TYPE_IXFR` Incremental transfer [RFC1995]
    `TYPE_KEY` for security key [RFC2535]
    `TYPE_KX` Key Exchanger [RFC2230]
    `TYPE_LOC` Location Information [Vixie]
    `TYPE_MAILA` Mailbox-related records (MB, MG or MR) [RFC1035]
    `TYPE_MAILB` Mail agent RRs (Obsolete - see MX) [RFC1035]
    `TYPE_MB` Mailbox
    `TYPE_MD` Mail Destination
    `TYPE_MF` Mail Forwarder
    `TYPE_MG` Mail Group
    `TYPE_MINFO` Mailbox information
    `TYPE_MR` Mail Rename
    `TYPE_MX` Mail exchanger
    `TYPE_NAPTR` Naming Authority Pointer [RFC2168, RFC2915]
    `TYPE_NIMLOC` Nimrod Locator [Patton]
    `TYPE_NS` Name Server
    `TYPE_NSAP` for NSAP address, NSAP style A record [RFC1706]
    `TYPE_NSAP_PTR`
    `TYPE_NSEC` NSEC [RFC3755]
    `TYPE_NULL` NULL RR
    `TYPE_NXT` Next Domain - OBSOLETE [RFC2535, RFC3755]
    `TYPE_OPT` OPT [RFC2671]
    `TYPE_PTR` Domain Name pointer
    `TYPE_PX` X.400 mail mapping information [RFC2163]
    `TYPE_RP` for Responsible Person [RFC1183]
    `TYPE_RRSIG` RRSIG [RFC3755]
    `TYPE_RT` for Route Through [RFC1183]
    `TYPE_SIG` for security signature [RFC2931]
    `TYPE_SINK` SINK [Eastlake]
    `TYPE_SOA` Start of Authority
    `TYPE_SRV` Server Selection [RFC2782]
    `TYPE_SSHFP` SSH Key Fingerprint [RFC-ietf-secsh-dns-05.txt]
    `TYPE_TKEY` Transaction Key [RFC2930]
    `TYPE_TSIG` Transaction Signature [RFC2845]
    `TYPE_TXT` Arbitrary text string
    `TYPE_UID` [IANA-Reserved]
    `TYPE_UINFO` [IANA-Reserved]
    `TYPE_UNSPEC` [IANA-Reserved]
    `TYPE_WKS` Well-known-service
    `TYPE_X25` for X.25 PSDN address [RFC1183]

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `externalName()` Return the string representation of this type
    `int` | `indexValue()` Return the numeric value of this type
    `java.lang.String` | `toString()`
    `static DNSRecordType` | `typeForIndex(int index)`
    `static DNSRecordType` | `typeForName(java.lang.String name)`
    `static DNSRecordType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DNSRecordType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPE_IGNORE

          public static final DNSRecordType TYPE_IGNORE

      Address

    - #### TYPE_A

          public static final DNSRecordType TYPE_A

      Address

    - #### TYPE_NS

          public static final DNSRecordType TYPE_NS

      Name Server

    - #### TYPE_MD

          public static final DNSRecordType TYPE_MD

      Mail Destination

    - #### TYPE_MF

          public static final DNSRecordType TYPE_MF

      Mail Forwarder

    - #### TYPE_CNAME

          public static final DNSRecordType TYPE_CNAME

      Canonical Name

    - #### TYPE_SOA

          public static final DNSRecordType TYPE_SOA

      Start of Authority

    - #### TYPE_MB

          public static final DNSRecordType TYPE_MB

      Mailbox

    - #### TYPE_MG

          public static final DNSRecordType TYPE_MG

      Mail Group

    - #### TYPE_MR

          public static final DNSRecordType TYPE_MR

      Mail Rename

    - #### TYPE_NULL

          public static final DNSRecordType TYPE_NULL

      NULL RR

    - #### TYPE_WKS

          public static final DNSRecordType TYPE_WKS

      Well-known-service

    - #### TYPE_PTR

          public static final DNSRecordType TYPE_PTR

      Domain Name pointer

    - #### TYPE_HINFO

          public static final DNSRecordType TYPE_HINFO

      Host information

    - #### TYPE_MINFO

          public static final DNSRecordType TYPE_MINFO

      Mailbox information

    - #### TYPE_MX

          public static final DNSRecordType TYPE_MX

      Mail exchanger

    - #### TYPE_TXT

          public static final DNSRecordType TYPE_TXT

      Arbitrary text string

    - #### TYPE_RP

          public static final DNSRecordType TYPE_RP

      for Responsible Person [RFC1183]

    - #### TYPE_AFSDB

          public static final DNSRecordType TYPE_AFSDB

      for AFS Data Base location [RFC1183]

    - #### TYPE_X25

          public static final DNSRecordType TYPE_X25

      for X.25 PSDN address [RFC1183]

    - #### TYPE_ISDN

          public static final DNSRecordType TYPE_ISDN

      for ISDN address [RFC1183]

    - #### TYPE_RT

          public static final DNSRecordType TYPE_RT

      for Route Through [RFC1183]

    - #### TYPE_NSAP

          public static final DNSRecordType TYPE_NSAP

      for NSAP address, NSAP style A record [RFC1706]

    - #### TYPE_NSAP_PTR

          public static final DNSRecordType TYPE_NSAP_PTR

    - #### TYPE_SIG

          public static final DNSRecordType TYPE_SIG

      for security signature [RFC2931]

    - #### TYPE_KEY

          public static final DNSRecordType TYPE_KEY

      for security key [RFC2535]

    - #### TYPE_PX

          public static final DNSRecordType TYPE_PX

      X.400 mail mapping information [RFC2163]

    - #### TYPE_GPOS

          public static final DNSRecordType TYPE_GPOS

      Geographical Position [RFC1712]

    - #### TYPE_AAAA

          public static final DNSRecordType TYPE_AAAA

      IP6 Address [Thomson]

    - #### TYPE_LOC

          public static final DNSRecordType TYPE_LOC

      Location Information [Vixie]

    - #### TYPE_NXT

          public static final DNSRecordType TYPE_NXT

      Next Domain - OBSOLETE [RFC2535, RFC3755]

    - #### TYPE_EID

          public static final DNSRecordType TYPE_EID

      Endpoint Identifier [Patton]

    - #### TYPE_NIMLOC

          public static final DNSRecordType TYPE_NIMLOC

      Nimrod Locator [Patton]

    - #### TYPE_SRV

          public static final DNSRecordType TYPE_SRV

      Server Selection [RFC2782]

    - #### TYPE_ATMA

          public static final DNSRecordType TYPE_ATMA

      ATM Address [Dobrowski]

    - #### TYPE_NAPTR

          public static final DNSRecordType TYPE_NAPTR

      Naming Authority Pointer [RFC2168, RFC2915]

    - #### TYPE_KX

          public static final DNSRecordType TYPE_KX

      Key Exchanger [RFC2230]

    - #### TYPE_CERT

          public static final DNSRecordType TYPE_CERT

      CERT [RFC2538]

    - #### TYPE_A6

          public static final DNSRecordType TYPE_A6

      A6 [RFC2874]

    - #### TYPE_DNAME

          public static final DNSRecordType TYPE_DNAME

      DNAME [RFC2672]

    - #### TYPE_SINK

          public static final DNSRecordType TYPE_SINK

      SINK [Eastlake]

    - #### TYPE_OPT

          public static final DNSRecordType TYPE_OPT

      OPT [RFC2671]

    - #### TYPE_APL

          public static final DNSRecordType TYPE_APL

      APL [RFC3123]

    - #### TYPE_DS

          public static final DNSRecordType TYPE_DS

      Delegation Signer [RFC3658]

    - #### TYPE_SSHFP

          public static final DNSRecordType TYPE_SSHFP

      SSH Key Fingerprint [RFC-ietf-secsh-dns-05.txt]

    - #### TYPE_RRSIG

          public static final DNSRecordType TYPE_RRSIG

      RRSIG [RFC3755]

    - #### TYPE_NSEC

          public static final DNSRecordType TYPE_NSEC

      NSEC [RFC3755]

    - #### TYPE_DNSKEY

          public static final DNSRecordType TYPE_DNSKEY

      DNSKEY [RFC3755]

    - #### TYPE_UINFO

          public static final DNSRecordType TYPE_UINFO

      [IANA-Reserved]

    - #### TYPE_UID

          public static final DNSRecordType TYPE_UID

      [IANA-Reserved]

    - #### TYPE_GID

          public static final DNSRecordType TYPE_GID

      [IANA-Reserved]

    - #### TYPE_UNSPEC

          public static final DNSRecordType TYPE_UNSPEC

      [IANA-Reserved]

    - #### TYPE_TKEY

          public static final DNSRecordType TYPE_TKEY

      Transaction Key [RFC2930]

    - #### TYPE_TSIG

          public static final DNSRecordType TYPE_TSIG

      Transaction Signature [RFC2845]

    - #### TYPE_IXFR

          public static final DNSRecordType TYPE_IXFR

      Incremental transfer [RFC1995]

    - #### TYPE_AXFR

          public static final DNSRecordType TYPE_AXFR

      Transfer of an entire zone [RFC1035]

    - #### TYPE_MAILA

          public static final DNSRecordType TYPE_MAILA

      Mailbox-related records (MB, MG or MR) [RFC1035]

    - #### TYPE_MAILB

          public static final DNSRecordType TYPE_MAILB

      Mail agent RRs (Obsolete - see MX) [RFC1035]

    - #### TYPE_ANY

          public static final DNSRecordType TYPE_ANY

      Request for all records [RFC1035]

  - ### Method Detail

    - #### values

          public static DNSRecordType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DNSRecordType c : DNSRecordType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DNSRecordType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### externalName

          public java.lang.String externalName()

      Return the string representation of this type
      Returns:
        String

    - #### indexValue

          public int indexValue()

      Return the numeric value of this type
      Returns:
        String

    - #### typeForName

          public static DNSRecordType typeForName(java.lang.String name)

      Parameters:
        `name` -
      Returns:
        type for name

    - #### typeForIndex

          public static DNSRecordType typeForIndex(int index)

      Parameters:
        `index` -
      Returns:
        type for name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DNSRecordType>`